Skip to content
payrocdevelopers

Retrieve processing account pricing agreement

Browse API reference

GET/processing-accounts/{processingAccountId}/pricingretrieveProcessingAccountPricing

Use this method to retrieve the pricing agreement that we apply to a processing account.

To retrieve the pricing agreement of a processing account, you need the processingAccountId. Our gateway returned the processingAccountId in the response to the Create Merchant Platform method and Create Processing Account method.

Note: If you don't have the processingAccountId, use our List Merchant Platform’s Processing Accounts method to search for the processing account.

Our gateway returns the following information about the pricing agreement that we apply to the processing account:

  • Base fees, including the annual fee and the fees for each chargeback and retrieval.
  • Processor fees, including the fees that we apply for processing card and ACH payments.
  • Gateway fees, including the setup fee and the fees for each transaction.
  • Service fees, including the fee that we apply if the merchant has signed up to a Hardware Advantage Plan.

Parameters

NameInTypeDescription
processingAccountIdRequiredpathstring

Unique identifier that we assigned to the processing account.

Responses

Successful request. We return a polymorphic object that contains the pricing agreement for the processing account.

The value of the version field determines which variant you should use:

  • 4.0 - Pricing agreement version 4.
  • 5.0 - Pricing agreement version 5.
  • 5.2 - Pricing agreement version 5.2.
200 OK · application/json
{
  "base": {
    "addressVerification": 5,
    "annualFee": {
      "amount": 9900,
      "billInMonth": "december"
    },
    "batch": 5,
    "chargeback": 2500,
    "earlyTermination": 57500,
    "maintenance": 500,
    "minimum": 100,
    "pciNonCompliance": 4995,
    "platinumSecurity": {
      "amount": 1295,
      "billingFrequency": "monthly"
    },
    "regulatoryAssistanceProgram": 15,
    "retrieval": 1500,
    "voiceAuthorization": 95
  },
  "country": "US",
  "gateway": {
    "fees": {
      "3dSecurePerTransaction": 0,
      "monthly": 0,
      "perDeviceMonthly": 0,
      "perTransaction": 0,
      "setup": 0,
      "tapToPayPerTransaction": 0
    }
  },
  "processor": {
    "ach": {
      "fees": {
        "accountVerification": 100,
        "batch": 1000,
        "discountRateAbove10000": 1.25,
        "discountRateUnder10000": 1.25,
        "monthlyMinimum": 20000,
        "returns": 400,
        "statement": 800,
        "transaction": 50,
        "unauthorizedReturn": 1999
      }
    },
    "card": {
      "fees": {
        "amex": {
          "transaction": 0,
          "type": "optBlue",
          "volume": 1.25
        },
        "electronicBenefitsTransfer": {
          "transaction": 0
        },
        "mastercardVisaDiscover": {
          "transaction": 0,
          "volume": 1.25
        },
        "pinDebit": {
          "additionalDiscount": 1.25,
          "monthlyAccess": 0,
          "transaction": 0
        },
        "specialityCards": {
          "transaction": 0
        }
      },
      "planType": "interchangePlus"
    }
  },
  "version": "5.2"
}
Response schema · 73 of 860 fields
  • US pricing agreement version 4.0object
    Object that contains information about U.S. pricing intents for Merchant Processing Agreement (MPA) 4.0.
    • baseobjectrequired
      Object that contains information about U.S. base fees.
      • addressVerificationintegernullrequired
        Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • annualFeeobjectrequired
        Object that contains information about the annual fee.+2 more fields at deeper levels — see the full spec
      • batchintegerrequired
        Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • chargebackinteger
        Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.0–5000
      • earlyTerminationinteger
        Fee for early termination. The value is in the currency's lowest denomination, for example, cents.0–59500
      • maintenanceintegerrequired
        Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • merchantAdvantageintegernullrequired
        Monthly fee for Payroc Advantage. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • minimumintegerrequired
        Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
      • pciNonComplianceinteger
        Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.0–10000
      • platinumSecurityobject
        Polymorphic object that contains billing details for Platinum Security. The value of the billingFrequency field determines which variant you should use: monthly We collect the fee for Platinum Security each month. annual We collect the fee for Platinum Security each year.+6 more fields at deeper levels — see the full spec
      • regulatoryAssistanceProgramintegernullrequired
        Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • retrievalinteger
        Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.0–5000
      • voiceAuthorizationinteger
        Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.0–200
    • countrystringrequired
      Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
    • gatewayobject
      Object that contains information about the gateway fees.
      • feesobjectrequired
        Object that contains information about the gateway fees.+5 more fields at deeper levels — see the full spec
    • processorobject
      Object that contains information about U.S. processor fees.
      • achobject
        Object that contains the fees for ACH transactions.+10 more fields at deeper levels — see the full spec
      • cardobject
        Polymorphic object that contains fees for card transactions. The value of the planType field determines which variant you should use: interchangePlus Interchange + pricing interchangePlusTiered3 Interchange pricing with three tiers tiered3 Three-tiered pricing tiered4 Four-tiered pricing tiered6 Six-tiered pricing flatRate Flat rate pricing consumerChoice ConsumerChoice rewardPay RewardPay rewardPayChoice RewardPayChoice+241 more fields at deeper levels — see the full spec
    • versionstringrequired
      Version of the MPA.4.0
  • US pricing agreement version 5.0object
    Object that contains information about U.S. pricing intents for Merchant Processing Agreement (MPA) 5.0.
    • baseobjectrequired
      Object that contains information about U.S. base fees.
      • addressVerificationintegernullrequired
        Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • annualFeeobjectrequired
        Object that contains information about the annual fee.+2 more fields at deeper levels — see the full spec
      • batchintegerrequired
        Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • chargebackinteger
        Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.0–5000
      • earlyTerminationinteger
        Fee for early termination. The value is in the currency's lowest denomination, for example, cents.0–59500
      • maintenanceintegerrequired
        Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • merchantAdvantageintegernullrequired
        Monthly fee for Payroc Advantage. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • minimumintegerrequired
        Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
      • pciNonComplianceinteger
        Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.0–10000
      • platinumSecurityobject
        Polymorphic object that contains billing details for Platinum Security. The value of the billingFrequency field determines which variant you should use: monthly We collect the fee for Platinum Security each month. annual We collect the fee for Platinum Security each year.+6 more fields at deeper levels — see the full spec
      • regulatoryAssistanceProgramintegernullrequired
        Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • retrievalinteger
        Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.0–5000
      • voiceAuthorizationinteger
        Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.0–200
    • countrystringrequired
      Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
    • gatewayobject
      Object that contains information about the gateway fees for MPA 5.0.
      • feesobjectrequired
        Object that contains information about the gateway fees.+4 more fields at deeper levels — see the full spec
    • processorobject
      Object that contains information about U.S. processor fees.
      • achobject
        Object that contains the fees for ACH transactions.+10 more fields at deeper levels — see the full spec
      • cardobject
        Polymorphic object that contains fees for card transactions. The value of the planType field determines which variant you should use: interchangePlus Interchange + pricing interchangePlusPlus Interchange pricing with three tiers tiered3 Three-tiered pricing tiered4 Four-tiered pricing tiered6 Six-tiered pricing flatRate Flat rate pricing consumerChoice ConsumerChoice rewardPayChoice RewardPayChoice+231 more fields at deeper levels — see the full spec
    • servicesobject[]
      Array of polymorphic objects that contain information about additional services that we offer.
      • option 1object
        Object that contains information about the Hardware Advantage Plan.+2 more fields at deeper levels — see the full spec
    • versionstringrequired
      Version of the MPA.5.0
  • US pricing agreement version 5.2object
    Object that contains information about U.S. pricing intents for Merchant Processing Agreement (MPA) 5.2.
    • baseobjectrequired
      Object that contains information about U.S. base fees.
      • addressVerificationintegernullrequired
        Fee for each address verification request. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • annualFeeobjectrequired
        Object that contains information about the annual fee.+2 more fields at deeper levels — see the full spec
      • batchintegerrequired
        Fee for each batch. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • chargebackinteger
        Fee for each chargeback. The value is in the currency's lowest denomination, for example, cents.750–5000
      • earlyTerminationinteger
        Fee for early termination. The value is in the currency's lowest denomination, for example, cents.19500–59500
      • maintenanceintegerrequired
        Monthly fee for maintenance. The value is in the currency's lowest denomination, for example, cents.≥ 500
      • minimumintegerrequired
        Monthly fee that we charge when the merchant doesn't meet the minimum fee amount. This monthly fee is in the currency's lowest denomination, for example, cents.≥ 0
      • pciNonComplianceinteger
        Fee that we apply each month if you aren't compliant with PCI standards. The value is in the currency's lowest denomination, for example, cents.3995–10000
      • platinumSecurityobject
        Object that contains information about the Platinum Security fee.+6 more fields at deeper levels — see the full spec
      • regulatoryAssistanceProgramintegernullrequired
        Annual fee for the regulatory assistance program. The value is in the currency's lowest denomination, for example, cents.≥ 0
      • retrievalinteger
        Fee for each retrieval. The value is in the currency's lowest denomination, for example, cents.275–5000
      • voiceAuthorizationinteger
        Fee for each voice authorization. The value is in the currency's lowest denomination, for example, cents.95–200
    • countrystringrequired
      Two-digit code for the country that the pricing intent applies to. The format follows the ISO-3166-1 standard.US
    • gatewayobject
      Object that contains information about the gateway fees for MPA 5.2.
      • feesobjectrequired
        Object that contains information about the gateway fees.+6 more fields at deeper levels — see the full spec
    • processorobject
      Object that contains information about U.S. processor fees.
      • achobject
        Object that contains the fees for ACH transactions.+10 more fields at deeper levels — see the full spec
      • cardobject
        Object that contains information about card fees.+225 more fields at deeper levels — see the full spec
    • servicesobject[]
      Object that contains information about our additional services that the merchant can sign up for.
      • option 1object
        Object that contains information about the Hardware Advantage Plan.+2 more fields at deeper levels — see the full spec
      • option 2object
        Object that contains the fees for account updater service.+5 more fields at deeper levels — see the full spec
      • option 3object
        Object that contains the fees for wireless processing.+4 more fields at deeper levels — see the full spec
      • option 4object
        Object that contains the fees for the Clover platform service.+5 more fields at deeper levels — see the full spec
      • option 5object
        Object that contains the fees for the Roc Services gateway.+3 more fields at deeper levels — see the full spec
    • versionstringrequired
      Version of the MPA.5.2

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer